package com.parrot.docdown.data;

import org.rendersnake.HtmlCanvas;

import java.io.IOException;

public class ArtifactDetails {

    String groupId = null;
    String artifactId = null;
    String version = null;

    public ArtifactDetails(String groupId, String artifactId, String version) {
        this.groupId = groupId.replace("_", ".");
        this.artifactId = artifactId.replace("_", ".");
        this.version = version.replace("_", ".");
        printArtifactDetails();
    }

    private void printArtifactDetails() {
        System.out.println("New ArtifactDetails: " + groupId + " " + artifactId + " " + version);
    }

    public void renderJavaDoc(HtmlCanvas html) throws IOException {
        html.p().content("compile group: '" + groupId + "', name: '" + artifactId + "', version: '"+version+"'");
        html.ul().li().content("groupId: " + groupId)
                .li().content("artifactId: " + artifactId)
                .li().content("version: " + version)._ul();
        html.p().content("Artifact " + groupId + ":" + artifactId + ":" + version + " it located at Google repository (https://maven.google.com/)");
    }

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public String getArtifactId() {
        return artifactId;
    }

    public void setArtifactId(String artifactId) {
        this.artifactId = artifactId;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }
}
